@echo off
SETLOCAL EnableDelayedExpansion
set errorlogFile="error.log"
set start=%time%
ffmpeg -v error -i %1 -f null - >error.log 2>&1
set end=%time%
call :checkErrorLog %errorlogFile%
if exist %errorlogFile% call :moveErrorLog %1
echo %OK%;%~f1;Size:%~z1;Start:%start%;End:%end%
goto :EOF

:checkErrorLog
set OK=0
if not exist %errorlogFile% goto :EOF
if %~z1 equ 0 (
  set OK=1
  del %errorlogFile%
)
goto :EOF

:moveErrorLog
if not exist errorLogs\%~p1 (
mkdir errorLogs\%~p1
)
copy %errorlogFile% errorLogs\%~p1\%~n1.log 1>nul
del %errorlogFile%
goto :EOF